:root {
    color-scheme: dark;
    --color-0: rgb(0, 0, 0, 0);
    --color-1: rgb(0, 0, 0);
    --color-2: rgba(255, 255, 255, 0.25);
    --color-3: rgba(255, 255, 255, 0.5);
    --color-4: rgba(255, 255, 255, 0.75);
    --color-5: rgba(255, 255, 255, 1);
    --rem-1: 0.25rem;
    --rem-2: 0.5rem;
    --rem-3: 0.75rem;
    --rem-4: 1.5rem;
    --rem-5: 3rem;
}

html {
    -webkit-tap-highlight-color: var(--color-0);
    font-size: 100%;
}

body {
    -webkit-font-smoothing: antialiased;
    -webkit-user-select: none;
    background-color: var(--color-1);
    color: var(--color-4);
    cursor: default;
    font-family: system-ui, sans-serif;
    font-size: 0.875rem;
    line-height: 1.5;
    margin: 0;
    text-rendering: optimizeSpeed;
    user-select: none;
}

:focus {
    outline: 0;
}

::placeholder {
    color: var(--color-3);
}

::selection {
    background: var(--color-2);
}

h1,
h2,
h3 {
    font: inherit;
    margin: 0;
}

h1 {
    font-size: 1rem;
}

p {
    margin: 0;
}

a {
    -webkit-tap-highlight-color: var(--color-0);
    background-color: var(--color-0);
    color: inherit;
    outline: none;
    text-decoration: none;
    width: fit-content;
}

button,
input {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    box-shadow: none;
}

button {
    background: none;
    border: none;
    color: inherit;
    cursor: pointer;
    font: inherit;
    outline: none;
    padding: 0;
}

a:hover,
button:hover {
    color: var(--color-5);
}

a:focus,
button:focus {
    color: var(--color-5);
}

a:active,
button:active {
    color: var(--color-4);
}

input {
    background: none;
    border: none;
    caret-color: currentColor;
    color: inherit;
    cursor: text;
    font: inherit;
    outline: none;
    padding: 0;
}

section input:focus,
section textarea:focus {
    border: 1px solid var(--color-3);
}

.sr-only,
[hidden] {
    display: none !important;
}

ol,
ul {
    margin: 0;
    padding: 0;
}

li {
    list-style: none;
}

ul {
    display: flex;
    gap: var(--rem-4);
}

ol {
    display: grid;
    gap: var(--rem-4);
}

header {
    background: var(--color-1);
    border-bottom: 1px solid var(--color-2);
    display: grid;
    grid-template-columns: var(--rem-4) 1fr var(--rem-4) auto var(--rem-4);
    grid-template-rows: var(--rem-3) auto var(--rem-3);
    position: sticky;
    top: 0;
}

header > a {
    grid-column-start: 2;
    grid-row-start: 2;
}

header nav {
    grid-column-start: 4;
    grid-row-start: 2;
}

main {
    display: grid;
    grid-template-columns: var(--rem-4) 1fr var(--rem-4);
    grid-template-rows: var(--rem-5) auto var(--rem-5);
}

article {
    display: grid;
    gap: var(--rem-5);
    grid-column-start: 2;
    grid-row-start: 2;
}

article aside {
    display: flex;
    gap: var(--rem-4);
}

article span {
    display: inline-grid;
}

article span::before {
    content: "\00a0";
}

article span[data-chord]::before {
    content: attr(data-chord);
    margin: 0 var(--rem-1) 0 0;
    width: fit-content;
}

section:not(article section) {
    display: grid;
    gap: var(--rem-5);
    grid-column-start: 2;
    grid-row-start: 2;
}

section:not(article section) form {
    display: grid;
    gap: var(--rem-4);
}

section:not(article section) form input {
    border: 1px solid var(--color-2);
    border-radius: var(--rem-1);
    color: inherit;
    padding: var(--rem-3);
}

section:not(article section) form button {
    background: var(--color-4);
    border-radius: var(--rem-1);
    color: var(--color-1);
    padding: var(--rem-3);
}

section:not(article section) form button:hover {
    background: var(--color-5);
    color: var(--color-1);
}

section:not(article section) form button:active {
    background: var(--color-4);
    color: var(--color-1);
}

article section {
    display: grid;
    gap: var(--rem-1);
}
search {
    background: var(--color-1);
    border-bottom: 1px solid var(--color-2);
    display: grid;
    grid-template-columns: var(--rem-4) 1fr var(--rem-4);
    grid-template-rows: var(--rem-3) auto var(--rem-3);
    position: sticky;
    top: 0;
}

search form {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 1.5rem;
    grid-row-start: 2;
    grid-column-start: 2;
}

input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
    display: none;
}

input[type="search"]::-ms-clear,
input[type="search"]::-ms-reveal {
    height: 0;
    width: 0;
}

@media screen and (min-width: 63rem) {

    header {
        grid-template-columns: calc(50% - 30rem) 1fr var(--rem-4) auto calc(50% - 30rem);
    }

    search,
    main {
        grid-template-columns: 1fr 60rem 1fr;
    }
    
}